package main

/*
	This is reference code for toolkit developers
*/

import (
	"go.wit.com/lib/widget"
)

// Other goroutines must use this to access the GUI
//
// You can not acess / process the GUI thread directly from
// other goroutines. This is due to the nature of how
// Linux, MacOS and Windows work (they all work differently. suprise. surprise.)
//
// this sets the channel to send user events back from the plugin
func Callback(guiCallback chan widget.Action) {
	me.myTree.Callback(guiCallback)
}

func PluginChannel() chan widget.Action {
	return me.myTree.PluginChannel()
}
